## nsd 2.2.1

=== test/Makefile ===
# You may want to change the locations of the tools listed
ZONEC=../../../zonec
NSD=../../../nsd
MKVALID=../..//bin/mkvalid
STRIPDIG=../../bin/stripdig.pl
QUERY=../../bin/query

# run on this port and under the current user
NSDOPT=-p 5353 -u `whoami`
## No serviceble parts below ##

.PHONY: nsd valid test stop diffclean currentclean realclean

# you need to run make valid seperately
all:	QUESTIONS nsd test

nsd:	test.db
	@echo Running NSD on port 5353 with test.db 
	${NSD} ${NSDOPT} -f test.db

test.db:	conf
	${ZONEC} -f test.db conf

valid:		QUESTIONS
	@echo Generating valid answers...please verify
	${MKVALID} -s ${STRIPDIG} QUESTIONS

test:		QUESTIONS 
	@echo Sending queries to the nameserver...
	${QUERY} -s ${STRIPDIG} QUESTIONS

stop:	
	@echo Stopping all nsd instances
	killall nsd

diffclean:
	@echo Cleaning up .diff files
	rm -f *.diff

currentclean:
	@echo Cleaning up .current files
	rm -f *.current
realclean:	diffclean currentclean
	rm -f test.db

=== test/zonec/Makefile ===
# run soms test for zonec

all: ../../zonec
	../../zonec -v -f test.db test.conf

soa: ../../zonec
	../../zonec -v -f test.db soa.conf

unknown: ../../zonec
	../../zonec -v -f test.db unknown.conf

dnssec: ../../zonec
	../../zonec -v -f test.db dnssec.conf
miek:
	../../zonec -v -f test.db miek.conf

nsd:	../../nsd
	@echo Running NSD on port 5353 with test.db 
	../../nsd -d -p 5353 -f test.db -u `whoami`

## nsd 4.0.1

=== debian/changelog ===
nsd (4.0.1-1) unstable; urgency=low

  * New upstream version 4.0.1
  * Disable recvmmsg by default (Closes: #737540)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Feb 2014 17:07:05 +0100

nsd (4.0.0-5) unstable; urgency=high

  * Don't fail when nsd3 is not installed (Closes: #729612)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 18 Nov 2013 14:19:30 +0100

nsd (4.0.0-4) unstable; urgency=high

  * Use 'dpkg-query --control-path nsd3 postrm' instead of hard-coded path
  * Set urgency to high since we need to push fix for nsd.conf migration
    to testing (forgot to do so in last upload).

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Nov 2013 13:30:53 +0100

nsd (4.0.0-3) unstable; urgency=low

  * Add updated and fixed systemd service file (Closes: #729166)
  * Move /etc/nsd3/nsd.conf to /etc/nsd/nsd.conf manually since
    dpkg-maintscript-helper checks for ownership of moved config file
    (Closes: #729120)
  * Remove the old nsd.conf.example configfile on upgrade to nsd3 (4.0.0)
    and also remove /etc/init.d/nsd3 and /etc/cron.d/nsd3
  * Cleanup nsd3 statoverrides in nsd.postinst
  * Don't remove system user in postrm
  * Link nsd-control-setup manpage to nsd-control
  * Add a hack^Hsolution to prevent nsd user removal when nsd3 was
    removed, but not purged, nsd installed and nsd3 purged after that
    (very rare case, but can happen)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 12 Nov 2013 17:33:38 +0100

nsd (4.0.0-2) unstable; urgency=high

  * Drop the cronjob as it is no longer needed
  * Bump the urgency to high, so people don't install 4.0.0~rc3 from
    testing for too long

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Nov 2013 23:41:55 +0100

nsd (4.0.0-1) unstable; urgency=low

  * New upstream version 4.0.0
  * $PIDFILE in init script should be file and not a directory
  * lintian: transitional package should be oldlibs extra

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Nov 2013 17:55:49 +0100

nsd (4.0.0~rc3-1) unstable; urgency=low

  * New upstream version 4.0.0~rc3
  * Add nsd3 transitional package to finish the move from nsd3 to nsd
    package
  * Add nsd.maintscript to move the /etc/nsd3/nsd.conf from nsd3 to
    /etc/nsd/nsd.conf to nsd package

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Oct 2013 21:04:45 +0200

nsd (4.0.0~rc2-1) unstable; urgency=low

  * New upstream version 4.0.0~rc2
  * Cleanup build rules to debian/compat = 9
  * Use master/pristine-tar/upstream branches
  * Add libevent-dev to B-D
  * Update init.d script, and add upstart and systemd support

 -- Ondřej Surý <ondrej@debian.org>  Mon, 21 Oct 2013 16:51:29 +0200

nsd (4.0.0~b5-1) unstable; urgency=low

  * New upstream version 4.0.0~b5
  * Remove obsolete patches and update the ones still relevant

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Oct 2013 00:26:57 +0200

nsd3 (3.2.16-1) unstable; urgency=low

  * New upstream version 3.2.16

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2013 08:44:02 +0200

nsd3 (3.2.15-1) unstable; urgency=low

  * New upstream version 3.2.15 (Closes: #711490)
  * Remove RRL patch as it is already included in new upstream version
  * Update patches for 3.2.15 release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Jun 2013 15:55:53 +0200

nsd3 (3.2.12-3) unstable; urgency=low

  * Cleanup autoreconf -fi stuff in dh_auto_clean target

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Feb 2013 13:11:59 +0100

nsd3 (3.2.12-2) unstable; urgency=low

  * Add Response Rate Limiting patch (Courtesy of Matthijs Mekking of NLnet Labs)
  * Regenerate configure due to RRL patch and ./configure with --enable-ratelimit

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Feb 2013 14:09:36 +0100

nsd3 (3.2.12-1) unstable; urgency=low

  * Imported Upstream version 3.2.12
   - Fix for VU#624931 CVE-2012-2978: NSD denial of service 
     vulnerability from non-standard DNS packet from any host
     on the internet as discovered by Marek Vavrusa and Lubos
     Slovak from CZ.NIC Labs
     http://www.nlnetlabs.nl/downloads/CVE-2012-2978.txt

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Jul 2012 15:06:15 +0200

nsd3 (3.2.11-1) unstable; urgency=low

  * Imported Upstream version 3.2.11
    - Fallback to AXFR if IXFR is unknown at the primary. NSD considers
      IXFR unknown at the primary if there is a negative response for the
      IXFR RRtype. This does not override the value for
      'allow-axfr-fallback'.
    - Allow for reading in new DNSKEY algorithm mnemonics (RFC5155,
      RFC5702, RFC5933, and RFC6605 (ECDSA)).
    - Zone statistics, enable with --enable-zone-stats. This stores the
      BIND8 stats per zone in a configurable statistics file. This option
      does not scale and should therefore not be enabled when serving
      many zones.
    - Support for TLSA RRtype (DANE).
    - Fix for qtype ANY for a wildcard domain in NSEC signed zone: Don't
      add the wildcard domain NSEC into the answer section. Instead,
      put the wildcard expanded NSEC into the answer section and keep the
      wildcard domain NSEC in the authority section.
    - Fix for accept spinning reported by OpenBSD.
    - Fix restart failed due to bad ixfr packet because of zone removed
      from nsd.conf.
    - Bugfix #453: typo in nsdc man page.
    - NSD uses the query name for dname compression again (Fix #235
      had as side effect that this didn't happen anymore and is hereby
      undone).

 -- Ondřej Surý <ondrej@debian.org>  Thu, 19 Jul 2012 13:04:56 +0200

nsd3 (3.2.10-1) unstable; urgency=low

  [ Jeroen Schot ]
  * Imported Upstream version 3.2.10

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Feb 2012 21:23:02 +0100

nsd3 (3.2.9-3) unstable; urgency=low

  [ Jeroen Schot ]
  * Sync long description of nsd with nsd3
  * Drop 0007-Fix-spelling-errors-in-manpage.patch, applied upstream
  * Move transitional nsd package to oldlibs/extra
  * Add minimal DEP3 headers to patches
  * Use Breaks instead of Conflicts with old nsd
  * Switch from hardening-wrapper to (hardened) dpkg-buildflags



=== debian/control ===
Source: nsd
Section: net
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1~),
	       dh-autoreconf,
               bison,
               flex,
               libssl-dev,
	       libevent-dev,
	       openssl,
	       po-debconf
Standards-Version: 3.9.4
Vcs-Browser: http://git.debian.org/?p=pkg-nlnetlabs/nsd.git
Vcs-Git: git://git.debian.org/pkg-nlnetlabs/nsd.git
Homepage: http://www.nlnetlabs.nl/nsd/

Package: nsd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-10), adduser
Replaces: nsd3 (<= 4.0.0-1~)
Breaks: nsd3 (<= 4.0.0-1~)
Description: authoritative domain name server
 NSD is a fast, authoritative only, high performance, simple
 and open source name server.
 .
 NSD was primarily developed by NLnet Labs on request from and in close
 cooperation with RIPE NCC, as an alternative name server software to be
 run on the root name server RIPE NCC operates.

Package: nsd3
Architecture: all
Section: oldlibs
Priority: extra
Depends: nsd (>= 4.0.0-1~), ${misc:Depends}, debconf
Description: authoritative domain name server [transitional package]
 NSD is a fast, authoritative only, high performance, simple
 and open source name server.
 .
 NSD was primarily developed by NLnet Labs on request from and in close
 cooperation with RIPE NCC, as an alternative name server software to be
 run on the root name server RIPE NCC operates.
 .
 This is a transitional dummy package. It can safely be removed.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://www.nlnetlabs.nl/downloads/nsd/nsd-(.*)\.tar\.gz

## nsd 4.0.3

=== debian/changelog ===
nsd (4.0.3-1ubuntu0.1) utopic-proposed; urgency=low

  * Fix "invalid user: nsd" install error by moving auto-generated
    debhelper code to the end of the postinst script. (LP: #1311886)

 -- Evan Broder <evan@ebroder.net>  Sun, 11 Jan 2015 17:44:59 +0100

nsd (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3
  * Update patches for 4.0.3 release

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Mar 2014 16:08:13 +0100

## nsd 4.1.0

=== debian/changelog ===
nsd (4.1.0-2) unstable; urgency=medium

  [ Jonathan Dupart ]
  * Fix "invalid user: 'nsd'" move the debhelper tag at the end of the
    postinst script (Closes: #743396)

  [ Julien Cristau ]
  * Stop using dh_installdocs --link-doc, as that makes nsd binNMU-unsafe.
    Deal with the symlink-to-dir migration.

  [ Ondřej Surý ]
  * Add ${misc:Pre-Depends} to pull new dpkg before calling symlink_to_dir
  * Call wrap-and-sort -a on d/control and d/copyright

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Nov 2014 11:17:39 +0100

nsd (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Sep 2014 16:12:28 +0200

nsd (4.0.3-2) unstable; urgency=low

  * Raise maximum number of listening IP addresses to 1024
    (Closes: #759012)
  * Debconf templates and debian/control review (Closes: #729624)

  * Debconf translation updates (da, ru, fr,de, pl, pt, pt_BR, ja,
    it, es, sv, cs)
    (Closes: #732164, #732190, #732455, #733138, #733183, #733203,
             #733225, #733235, #733243, #733254, #734582)
 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 13:45:52 +0200

=== debian/control ===
Source: nsd
Section: net
Priority: optional
Maintainer: Ondřej Surý <ondrej@debian.org>
Build-Depends: bison,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1.1~),
               flex,
               libevent-dev,
               libssl-dev,
               openssl,
               po-debconf
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/nsd.git
Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/nsd.git
Homepage: http://www.nlnetlabs.nl/nsd/

Package: nsd
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-10),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: nsd3 (<= 4.0.0-1~)
Breaks: nsd3 (<= 4.0.0-1~)
Description: authoritative domain name server
 NSD is a fast, authoritative only, high performance, simple
 and open source name server.
 .
 NSD was primarily developed by NLnet Labs on request from and in close
 cooperation with RIPE NCC, as an alternative DNS server to be run on the
 root name server operated by RIPE NCC.

Package: nsd3
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: debconf,
         nsd (>= 4.0.0-1~),
         ${misc:Depends}
Description: authoritative domain name server - transitional package
 NSD is a fast, authoritative only, high performance, simple
 and open source name server.
 .
 NSD was primarily developed by NLnet Labs on request from and in close
 cooperation with RIPE NCC, as an alternative DNS server to be run on the
 root name server operated by RIPE NCC.
 .
 This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra
DEB_CPPFLAGS_MAINT_APPEND = -D_XOPEN_SOURCE=600
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
	       --with-configdir=/etc/nsd		\
	       --with-nsd_conf_file=/etc/nsd/nsd.conf	\
	       --with-pidfile=/run/nsd/nsd.pid		\
	       --with-dbfile=/var/lib/nsd/nsd.db	\
	       --with-zonesdir=/etc/nsd			\
	       --with-difffile=/var/lib/nsd/ixfr.db	\
	       --with-xfrdfile=/var/lib/nsd/xfrd.state	\
	       --with-max-ips=1024			\
	       --disable-largefile			\
	       --disable-recvmmsg			\
	       --enable-root-server			\
	       --enable-mmap				\
	       --enable-ratelimit

override_dh_auto_clean:
	dh_auto_clean

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/nsd
	rmdir $(CURDIR)/debian/nsd/run/nsd
	rmdir $(CURDIR)/debian/nsd/run
	mv $(CURDIR)/debian/nsd/etc/nsd/nsd.conf.sample $(CURDIR)/debian/nsd/usr/share/doc/nsd/examples/nsd.conf
	install -m 640 debian/nsd.conf $(CURDIR)/debian/nsd/etc/nsd/

override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog

override_dh_compress:
	dh_compress -X/usr/share/doc/nsd/examples/nsd.conf

## nsd 4.1.2

=== debian/changelog ===
nsd (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2
  * Refresh patches for version 4.1.2

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 May 2015 08:37:56 +0200

nsd (4.1.0-3) unstable; urgency=medium

  * Add --with=systemd to dh call, since the service was disabled
    at the installation

 -- Ondřej Surý <ondrej@debian.org>  Thu, 05 Feb 2015 16:41:43 +0100

## nsd 4.1.7

=== debian/changelog ===
nsd (4.1.7-1) unstable; urgency=medium

  * Imported Upstream version 4.1.7
  * Refresh patches on top of 4.1.7 release

 -- Ondřej Surý <ondrej@debian.org>  Thu, 10 Dec 2015 13:53:25 +0100

nsd (4.1.6-1) unstable; urgency=medium

  * Imported Upstream version 4.1.6
  * Rebase patches on top of 4.1.6 release
  * Move nsd under pkg-dns umbrella

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Dec 2015 14:49:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: nsd
 Section: net
 Priority: optional
-Maintainer: Ondřej Surý <ondrej@debian.org>
+Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: bison,
                debhelper (>= 9),
                dh-autoreconf,
+	       dh-systemd,
                dpkg-dev (>= 1.16.1.1~),
                flex,
                libevent-dev,
@@ -12,8 +14,8 @@
                openssl,
                po-debconf
 Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-nlnetlabs/nsd.git
-Vcs-Git: git://anonscm.debian.org/pkg-nlnetlabs/nsd.git
+Vcs-Browser: http://anonscm.debian.org/?p=pkg-dns/nsd.git
+Vcs-Git: git://anonscm.debian.org/pkg-dns/nsd.git
 Homepage: http://www.nlnetlabs.nl/nsd/
 
 Package: nsd

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 -include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with=autoreconf
+	dh $@ --with=autoreconf --with=systemd
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## nsd 4.1.10

=== debian/changelog ===
nsd (4.1.10-1) unstable; urgency=medium

  * Imported Upstream version 4.1.10
   + Fix the compilation with OpenSSL 1.1.0 (Closes: #828460)
  * Rebase patches on top of 4.1.10
  * Fix source-only uploads (Closes: #806086)
  * Add openssl dependency for nsd-control-setup (Closes: #802944)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Jun 2016 09:05:20 +0200

nsd (4.1.9-2) unstable; urgency=medium

  * Simplify preparation of rundir by using tmpfiles.d (Closes: #788236)
  * Remove nsd3 transitional package (Closes: #806086)
    (Courtesy of Santiago Vila)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 09 May 2016 13:20:02 +0200

nsd (4.1.9-1) unstable; urgency=medium

  * Imported Upstream version 4.1.9
  * Rebuild patches using gbp pq

 -- Ondřej Surý <ondrej@debian.org>  Wed, 06 Apr 2016 21:57:35 +0200

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 -include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with=autoreconf --with=systemd
+	dh $@ --with=autoreconf --with=systemd -O--fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -35,6 +35,9 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/nsd
 	rmdir $(CURDIR)/debian/nsd/run/nsd
 	rmdir $(CURDIR)/debian/nsd/run
+
+override_dh_install-arch:
+	dh_install -a
 	mv $(CURDIR)/debian/nsd/etc/nsd/nsd.conf.sample $(CURDIR)/debian/nsd/usr/share/doc/nsd/examples/nsd.conf
 	install -m 640 debian/nsd.conf $(CURDIR)/debian/nsd/etc/nsd/

## nsd 4.1.14

=== debian/changelog ===
nsd (4.1.14-1) unstable; urgency=medium

  * Imported Upstream version 4.1.14
  * Compile with NDEBUG

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Dec 2016 10:02:57 +0100

nsd (4.1.13-1) unstable; urgency=medium

  * Imported Upstream version 4.1.13

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Sep 2016 10:29:03 +0200

nsd (4.1.11-1) unstable; urgency=medium

  * Imported Upstream version 4.1.11

 -- Ondřej Surý <ondrej@debian.org>  Wed, 24 Aug 2016 16:35:40 +0200

=== debian/control ===
Source: nsd
Section: net
Priority: optional
Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
Build-Depends: bison,
               debhelper (>= 9),
               dh-autoreconf,
               dh-systemd,
               dpkg-dev,
               flex,
               libevent-dev,
               libssl-dev,
               lsb-base,
               openssl,
               po-debconf
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/?p=pkg-dns/nsd.git
Vcs-Git: git://anonscm.debian.org/pkg-dns/nsd.git
Homepage: http://www.nlnetlabs.nl/nsd/

Package: nsd
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-10),
         openssl,
         ${misc:Depends},
         ${shlibs:Depends}
Description: authoritative domain name server
 NSD is a fast, authoritative only, high performance, simple
 and open source name server.

## nsd 4.1.16

=== debian/changelog ===
nsd (4.1.16-1build1) artful; urgency=medium

  * No-change rebuild against libevent-2.1-6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Jul 2017 02:47:58 +0000

nsd (4.1.16-1) unstable; urgency=medium

  * Update debian/watch and add signing-key to verify upstream releases
  * New upstream version 4.1.16
  * Rebase patches on top of 4.1.16 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 19 Jun 2017 10:49:28 +0200

## nsd 4.1.17

=== debian/changelog ===
nsd (4.1.17-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:24:20 +0000

nsd (4.1.17-1) unstable; urgency=medium

  * Fix reading nsd.conf tmpfile configuration (Closes: #864711)
  * New upstream version 4.1.17

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Sep 2017 09:39:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nsd
 Section: net
 Priority: optional
-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DNS Packaging <pkg-dns-devel@lists.alioth.debian.org>
 Uploaders: Ondřej Surý <ondrej@debian.org>
 Build-Depends: bison,
                debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra
-DEB_CPPFLAGS_MAINT_APPEND = -D_XOPEN_SOURCE=600
+DEB_CPPFLAGS_MAINT_APPEND = -D_XOPEN_SOURCE=600 -DNDEBUG
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/\.tar\.gz/.tar.gz.asc/ \
https://www.nlnetlabs.nl/downloads/nsd/ nsd-(.*)\.tar\.gz debian

## nsd 4.1.22

=== debian/changelog ===
nsd (4.1.22-2) unstable; urgency=medium

  * Remove generated certs for nsd-control on purge (Closes: #832345)
    (Removed from previous changelog entry to reflect this)
  * Add missing changes to previous changelog entry

 -- Markus Schade <markus.schade@gmail.com>  Fri, 15 Jun 2018 08:34:28 +0200

nsd (4.1.22-1) unstable; urgency=medium

  * New upstream version 4.1.22 (Closes: #894283, #765831)
  * Remove deprecated upstart configuration
  * Update rules and compat to debhelper 11
  * Update standards version to 4.1.4
  * Change maintainer from deprecated alioth list (Closes: #899621)
  * Fix global-files-wildcard-not-first-paragraph-in-dep5-copyright
  * Extend description and remove outdate speed comparison pdf
  * Update Vcs-Urls to salsa.debian.org
  * Remove obsolete lintian override
  * Fix build dependencies
  * Remove duplicate sample config
  * Add upstream gpg sig and update watch accordingly

 -- Markus Schade <markus.schade@gmail.com>  Thu, 14 Jun 2018 14:15:54 +0200

=== debian/control ===
Source: nsd
Section: net
Priority: optional
Maintainer: nsd packagers <nsd@packages.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
	   Markus Schade <markus.schade@gmail.com>
Build-Depends: bison,
               debhelper (>= 11),
               flex,
               libevent-dev,
               libssl-dev,
               lsb-base,
               openssl,
               po-debconf
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/dns-team/nsd
Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
Homepage: https://www.nlnetlabs.nl/nsd/

Package: nsd
Architecture: any
Depends: adduser,
         lsb-base,
         openssl,
         ${misc:Depends},
         ${shlibs:Depends}
Description: authoritative domain name server
 The NLnet Labs Name Server Daemon (NSD) is an authoritative DNS name server.
 It has been developed for operations in environments where speed,
 reliability, stability and security are of high importance.
 .
 This package provides the server and related configuration files.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 -include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh $@ --with=autoreconf --with=systemd -O--fail-missing
+	dh $@ -O--fail-missing
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -35,14 +35,12 @@
 	dh_auto_install -- DESTDIR=$(CURDIR)/debian/nsd
 	rmdir $(CURDIR)/debian/nsd/run/nsd
 	rmdir $(CURDIR)/debian/nsd/run
+	rmdir $(CURDIR)/debian/nsd/tmp
 
 override_dh_install-arch:
 	dh_install -a
-	mv $(CURDIR)/debian/nsd/etc/nsd/nsd.conf.sample $(CURDIR)/debian/nsd/usr/share/doc/nsd/examples/nsd.conf
+	rm $(CURDIR)/debian/nsd/etc/nsd/nsd.conf.sample
 	install -m 640 debian/nsd.conf $(CURDIR)/debian/nsd/etc/nsd/
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/ChangeLog
-
-override_dh_compress:
-	dh_compress -X/usr/share/doc/nsd/examples/nsd.conf

## nsd 4.1.25

=== debian/changelog ===
nsd (4.1.25-2) unstable; urgency=medium

  * Build without systemd-notify on non-linux arch
  * Emulate systemd tmpfiles.d handling in init script
    Thanks to Harald Jenny (Closes: #906439)
  * Update changelog for CVE-2016-6173 fixed in 4.1.11

 -- Markus Schade <markus.schade@gmail.com>  Fri, 26 Oct 2018 11:40:44 +0200

nsd (4.1.25-1) unstable; urgency=medium

  [ Markus Schade ]
  * New upstream version 4.1.25
  * Rebase patches on top of 4.1.25 release
  * Update standards version to 4.2.1
  * Drop outdated configure flags (with-max-ips, difffile)
  * Enable new systemd notify support
  * Build without root
  * wrap-and-sort -ast

  [ Daniel Kahn Gillmor ]
  * Ensure the build is clean by configuring with --enable-checking
  * avoid importing auto-generated files into git for future releases
  * d/copyright: update dates and upstream URL
  * add myself to uploaders
  * use --fail-missing only with dh_missing
  * drop unnecessary override of dh_auto_clean
  * simplify dh_auto_install override and dh_install-arch overrides

 -- Markus Schade <markus.schade@gmail.com>  Thu, 25 Oct 2018 11:00:31 +0200

=== debian/control ===
Source: nsd
Section: net
Priority: optional
Maintainer: nsd packagers <nsd@packages.debian.org>
Uploaders:
 Ondřej Surý <ondrej@debian.org>,
 Markus Schade <markus.schade@gmail.com>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 bison,
 debhelper (>= 11),
 flex,
 libevent-dev,
 libssl-dev,
 libsystemd-dev [linux-any],
 lsb-base,
 openssl,
 pkg-config,
 po-debconf,
Rules-Requires-Root: no
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/dns-team/nsd
Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
Homepage: https://www.nlnetlabs.nl/nsd/

Package: nsd
Architecture: any
Depends:
 adduser,
 lsb-base,
 openssl,
 ${misc:Depends},
 ${shlibs:Depends},
Description: authoritative domain name server
 The NLnet Labs Name Server Daemon (NSD) is an authoritative DNS name server.
 It has been developed for operations in environments where speed,
 reliability, stability and security are of high importance.
 .
 This package provides the server and related configuration files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_CPPFLAGS_MAINT_APPEND = -D_XOPEN_SOURCE=600 -DNDEBUG
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
  WITH_SYSTEMD = --enable-systemd
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	       --with-configdir=/etc/nsd		\
	       --with-nsd_conf_file=/etc/nsd/nsd.conf	\
	       --with-pidfile=/run/nsd/nsd.pid		\
	       --with-dbfile=/var/lib/nsd/nsd.db	\
	       --with-zonesdir=/etc/nsd			\
	       --with-xfrdfile=/var/lib/nsd/xfrd.state	\
	       --disable-largefile			\
	       --disable-recvmmsg			\
	       --enable-root-server			\
	       --enable-mmap				\
	       --enable-ratelimit			\
	       $(WITH_SYSTEMD)				\
	       --enable-checking			\

override_dh_auto_install:
	dh_auto_install
	rmdir $(CURDIR)/debian/nsd/run/nsd
	rmdir $(CURDIR)/debian/nsd/run
	rmdir $(CURDIR)/debian/nsd/tmp

override_dh_install-arch:
	dh_install -a
	rm -f $(CURDIR)/debian/nsd/etc/nsd/nsd.conf.sample

override_dh_installchangelogs:
	dh_installchangelogs doc/ChangeLog

override_dh_missing:
	dh_missing --fail-missing

## nsd 4.1.26

=== debian/changelog ===
nsd (4.1.26-1build1) focal; urgency=medium

  * No-change rebuild for libevent soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 19:57:15 +0000

nsd (4.1.26-1) unstable; urgency=medium

  * New upstream version 4.1.26
  * Enable dnstap support
  * Switch systemd service from simple to notify (Closes: #803614)
  * Add systemd protection directives (Closes: #913918)
    Thanks to Simon Deziel for improvements
  * Explicitly set PIDFILE for chrooted run (Closes: #906438)
  * Drop MAXHOSTNAMELEN patch for hurd (was fixed in 3.2.14 by upstream)
  * d/upstream/signing-key.asc: minimize OpenPGP certificate

 -- Markus Schade <markus.schade@gmail.com>  Sun, 16 Dec 2018 16:19:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,17 +11,20 @@
  debhelper (>= 11),
  flex,
  libevent-dev,
+ libfstrm-dev,
+ libprotobuf-c-dev,
  libssl-dev,
  libsystemd-dev [linux-any],
  lsb-base,
  openssl,
  pkg-config,
+ protobuf-c-compiler,
  po-debconf,
 Rules-Requires-Root: no
 Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
 Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
-Homepage: https://www.nlnetlabs.nl/nsd/
+Homepage: https://www.nlnetlabs.nl/projects/nsd/about/
 
 Package: nsd
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	       --enable-ratelimit			\
 	       $(WITH_SYSTEMD)				\
 	       --enable-checking			\
+	       --enable-dnstap				\
 
 override_dh_auto_install:
 	dh_auto_install

## nsd 4.3.2

=== debian/changelog ===
nsd (4.3.2-1) unstable; urgency=medium

  * New upstream version 4.3.2
  * Use new log-only-syslog: yes (Closes: #803683)
  * Drop FTBFS patches included upstream
  * Update to debhelper 13

 -- Markus Schade <markus.schade@gmail.com>  Mon, 27 Jul 2020 13:34:29 +0200

nsd (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1
  * Update URLs in upstream metadata
  * Add upstream patch to fix return code in nsd-control-setup
  * Drop previously included FTBFS patch for missing headers
  * Refresh enable control by default patch
  * Add new FTBFS patch to remove test target depending on excluded files in
    upstream tarball

 -- Markus Schade <markus.schade@gmail.com>  Sun, 19 Apr 2020 15:44:00 +0200

nsd (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * Update standards version to 4.5.0
  * Correct typo (mount/@mount) in nsd.service SystemCallFilter list
  * Add upstream patch to include missing headers file to fix FTBFS

 -- Markus Schade <markus.schade@gmail.com>  Fri, 20 Mar 2020 11:42:14 +0100

nsd (4.2.4-1) unstable; urgency=medium

  * New upstream version 4.2.4
    Closes: #935418 (new upstream version)
    Closes: #931476, CVE-2019-13207 (Overflow in dname_concatenate() function)
  * Update standards version to 4.4.1
  * Update to debhelper 12
  * Enable per zone stats (feature present since 4.1.4)
  * Update from versions <4 are no longer supported

 -- Markus Schade <markus.schade@gmail.com>  Thu, 19 Dec 2019 11:28:57 +0100

## nsd 4.3.3

=== debian/changelog ===
nsd (4.3.3-1) unstable; urgency=medium

  * New upstream version 4.3.3
  * Run systemd service without creating pidfile

 -- Markus Schade <markus.schade@gmail.com>  Wed, 14 Oct 2020 10:02:32 +0200

## nsd 4.3.4

=== debian/changelog ===
nsd (4.3.4-1) unstable; urgency=medium

  * New upstream version 4.3.4
  * Fixes CVE-2020-28935 (chown of pidfile) on systems with sysvinit

 -- Markus Schade <markus.schade@gmail.com>  Fri, 04 Dec 2020 18:06:33 +0100

## nsd 4.3.5

=== debian/changelog ===
nsd (4.3.5-1) unstable; urgency=medium

  * New upstream version 4.3.5 (Closes: #978872)

 -- Markus Schade <markus.schade@gmail.com>  Wed, 03 Feb 2021 13:57:57 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
  bison,
- debhelper (>= 11),
+ debhelper-compat (= 13),
  flex,
  libevent-dev,
  libfstrm-dev,
@@ -21,13 +21,15 @@
  protobuf-c-compiler,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
 Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
 Homepage: https://www.nlnetlabs.nl/projects/nsd/about/
 
 Package: nsd
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  adduser,
  lsb-base,

=== debian/tests/control ===
Tests: simpletest
Restrictions: needs-root, isolation-container
Depends: nsd

=== debian/watch ===
version=4
opts=\
uversionmangle=s/(\d)[_\.\-\+]?((rc|alpha)\d*)$/$1~$2/,\
pgpsigurlmangle=s/\.tar\.gz/.tar.gz.asc/ \
  https://www.nlnetlabs.nl/downloads/nsd/ nsd-(.*)\.tar\.gz debian

## nsd 4.3.9

=== debian/changelog ===
nsd (4.3.9-1) unstable; urgency=medium

  * New upstream version 4.3.9

 -- Markus Schade <markus.schade@gmail.com>  Thu, 16 Dec 2021 08:22:53 +0100

nsd (4.3.8-1) unstable; urgency=medium

  * New upstream version 4.3.8

 -- Markus Schade <markus.schade@gmail.com>  Mon, 01 Nov 2021 18:10:56 +0100

nsd (4.3.7-1) unstable; urgency=medium

  * New upstream version 4.3.7
  * Add upstream patch to fix free on shutdown of XoT SSL context
  * Change back to unstable

 -- Markus Schade <markus.schade@gmail.com>  Tue, 27 Jul 2021 21:39:48 +0200

nsd (4.3.6-1) experimental; urgency=medium

  * New upstream version 4.3.6
  * Update standards version to 4.5.1

 -- Markus Schade <markus.schade@gmail.com>  Thu, 22 Apr 2021 18:05:28 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  protobuf-c-compiler,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
 Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
 Homepage: https://www.nlnetlabs.nl/projects/nsd/about/

## nsd 4.6.0

=== debian/changelog ===
nsd (4.6.0-1build1) kinetic; urgency=medium

  * No-change rebuild against libevent-2.1-7a (LP: #1990941)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 07 Oct 2022 19:53:52 +0200

nsd (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * Update standards version to 4.6.1.
  * Add myself as uploader.
  * Fix lintian overrides syntax.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 03 Jul 2022 12:50:04 +0200

nsd (4.5.0-1) unstable; urgency=medium

  * New upstream version 4.5.0
  * Update copyright years
  * Rename debian/nsd.tmpfile to debian/nsd.tmpfiles

 -- Markus Schade <markus.schade@gmail.com>  Fri, 13 May 2022 11:29:24 +0200

nsd (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0
  * Update standards version to 4.6.0
  * Refresh control-enable patch

 -- Markus Schade <markus.schade@gmail.com>  Mon, 07 Mar 2022 14:11:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: nsd
 Section: net
 Priority: optional
-Maintainer: nsd packagers <nsd@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: nsd packagers <nsd@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Markus Schade <markus.schade@gmail.com>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
+ Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
  bison,
  debhelper-compat (= 13),
@@ -21,7 +23,7 @@
  protobuf-c-compiler,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
 Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
 Homepage: https://www.nlnetlabs.nl/projects/nsd/about/

## nsd 4.6.1

=== debian/changelog ===
nsd (4.6.1-1) unstable; urgency=medium

  * New upstream version 4.6.1

 -- Markus Schade <markus.schade@gmail.com>  Tue, 15 Nov 2022 20:32:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nsd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: nsd packagers <nsd@packages.debian.org>
+Maintainer: nsd packagers <nsd@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Markus Schade <markus.schade@gmail.com>,

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	       --enable-root-server			\
 	       --enable-mmap				\
 	       --enable-ratelimit			\
+	       --enable-zone-stats			\
 	       $(WITH_SYSTEMD)				\
 	       --enable-checking			\
 	       --enable-dnstap				\

## nsd 4.7.0

=== debian/changelog ===
nsd (4.7.0-1) unstable; urgency=medium

  * New upstream version 4.7.0
  * Set KillMode to mixed in systemd service

 -- Markus Schade <markus.schade@gmail.com>  Mon, 19 Jun 2023 11:04:19 +0200

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,12 @@
  libprotobuf-c-dev,
  libssl-dev,
  libsystemd-dev [linux-any],
- lsb-base,
  openssl,
  pkg-config,
  protobuf-c-compiler,
  po-debconf,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
 Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
 Homepage: https://www.nlnetlabs.nl/projects/nsd/about/
@@ -33,7 +32,6 @@
  ${misc:Pre-Depends}
 Depends:
  adduser,
- lsb-base,
  openssl,
  ${misc:Depends},
  ${shlibs:Depends},

## nsd 4.8.0

=== debian/changelog ===
nsd (4.8.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:03:04 +1100

nsd (4.8.0-1build2) noble; urgency=medium

  * No-change rebuild against libevent-2.1-7t64

 -- Simon Chopin <schopin@ubuntu.com>  Fri, 29 Mar 2024 17:27:47 +0100

nsd (4.8.0-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:11:47 +0000

nsd (4.8.0-1) unstable; urgency=medium

  * New upstream version 4.8.0.
  * Wrap-and-sort -satbk.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 08 Dec 2023 17:18:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nsd
 Section: net
 Priority: optional
-Maintainer: nsd packagers <nsd@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: nsd packagers <nsd@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Markus Schade <markus.schade@gmail.com>,
@@ -18,8 +19,8 @@
  libsystemd-dev [linux-any],
  openssl,
  pkg-config,
+ po-debconf,
  protobuf-c-compiler,
- po-debconf,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
@@ -29,7 +30,7 @@
 Package: nsd
 Architecture: any
 Pre-Depends:
- ${misc:Pre-Depends}
+ ${misc:Pre-Depends},
 Depends:
  adduser,
  openssl,

## nsd 4.9.1

=== debian/changelog ===
nsd (4.9.1-1) unstable; urgency=medium

  * New upstream version 4.9.1
  * Update copyright years

 -- Markus Schade <markus.schade@gmail.com>  Fri, 12 Apr 2024 08:58:05 +0200

## nsd 4.10.1

=== debian/changelog ===
nsd (4.10.1-1) unstable; urgency=medium

  [ Markus Schade ]
  * New upstream version 4.10.1

  [ Simon Josefsson ]
  * Build-Depend on pkgconf instead of pkg-config.
  * Bump Standards-Version to 4.7.0.
  * Fix nonexistent file in comment.  Closes: #1050608.
  * Drop -D_XOPEN_SOURCE=600 via
    <https://github.com/NLnetLabs/nsd/issues/330>.

 -- Markus Schade <markus.schade@gmail.com>  Fri, 02 Aug 2024 14:39:07 +0200

=== debian/tests/control ===
Tests: simpletest
Restrictions: needs-root, isolation-container
Depends:
 nsd,

## nsd 4.11.0

=== debian/changelog ===
nsd (4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0
  * Refresh patches
  * Remove nsd user on removal (Closes: #1050984)

 -- Markus Schade <markus.schade@gmail.com>  Thu, 12 Dec 2024 15:32:29 +0100

## nsd 4.11.1

=== debian/changelog ===
nsd (4.11.1-1) unstable; urgency=medium

  * New upstream version 4.11.1
  * Update copyright years

 -- Markus Schade <markus.schade@gmail.com>  Mon, 20 Jan 2025 09:56:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nsd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: nsd packagers <nsd@packages.debian.org>
+Maintainer: nsd packagers <nsd@packages.debian.org>
 Uploaders:
  Ondřej Surý <ondrej@debian.org>,
  Markus Schade <markus.schade@gmail.com>,
@@ -18,11 +17,11 @@
  libssl-dev,
  libsystemd-dev [linux-any],
  openssl,
- pkg-config,
+ pkgconf,
  po-debconf,
  protobuf-c-compiler,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
 Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
 Homepage: https://www.nlnetlabs.nl/projects/nsd/about/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE=1
 
 DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DEB_CPPFLAGS_MAINT_APPEND = -D_XOPEN_SOURCE=600 -DNDEBUG
+DEB_CPPFLAGS_MAINT_APPEND = -DNDEBUG
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk

## nsd 4.12.0

=== debian/changelog ===
nsd (4.12.0-1) unstable; urgency=medium

  * New upstream version 4.12.0
  * Enable prometheus metrics build option

 -- Markus Schade <markus.schade@gmail.com>  Fri, 25 Apr 2025 16:05:31 +0000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
  Simon Josefsson <simon@josefsson.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  bison,
- debhelper-compat (= 13),
  flex,
  libevent-dev,
  libfstrm-dev,

=== debian/rules ===
--- 
+++ 
@@ -32,6 +32,7 @@
 	       $(WITH_SYSTEMD)				\
 	       --enable-checking			\
 	       --enable-dnstap				\
+	       --enable-prometheus-metrics		\
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Tests:
 simpletest,
Restrictions:
 isolation-container,
 needs-root,
Depends:
 nsd,

## nsd 4.13.0

=== doc/manual/requirements.txt ===
Sphinx==8.1.3
sphinx-version-warning==1.1.2
sphinx-tabs==3.4.7
sphinx-copybutton==0.5.2
sphinx-rtd-theme
sphinx-notfound-page
requests
sphinx-substitution-extensions==2024.10.17

=== debian/changelog ===
nsd (4.13.0-5) unstable; urgency=medium

  * Upload to unstable.
  * Document XDP archs.  Add mips64el to XDP exception.
  * Use gbp debian-branch debian/latest again.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 15 Sep 2025 13:45:30 +0200

nsd (4.13.0-4) experimental; urgency=medium

  * Only enable XDP on clang/linux archs.
  * Silence binary-from-other-architecture (#1114917).

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Sep 2025 17:37:37 +0200

nsd (4.13.0-3) experimental; urgency=medium

  * Replace gcc-multilib with custom -I's.
  * salsa-ci: Build on more archs.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 11 Sep 2025 12:57:26 +0200

nsd (4.13.0-2) experimental; urgency=medium

  * We need libfstrm >= 0.4 or later (hurd-i386 issue).
  * Use watch v5 format.
  * Enable XDP support.
  * Use gbp debian-branch debian/experimental.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 10 Sep 2025 22:02:40 +0200

nsd (4.13.0-1) unstable; urgency=medium

  * New upstream version 4.13.0
  * Drop upstream'ed dbdir patch.
  * Update d/copyright for new simdzone/acx_nlnetlabs.m4.
  * Don't override dh_missing for --fail-missing, default with compat 13.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 04 Sep 2025 08:49:59 +0200

nsd (4.12.0-2) unstable; urgency=medium

  * Standards-Version: 4.7.2.
  * Replace dbdir hack with upstreamed --with-dbir approach.
  * Use execute_after instead of override for dh_auto_install.
  * Add myself to debian/* copyrights.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 17 Aug 2025 10:37:36 +0200

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,23 @@
 Build-Depends:
  debhelper-compat (= 13),
  bison,
+ clang [!alpha !hppa !hurd-amd64 !hurd-i386 !m68k !mips64el !sh4],
  flex,
+ libbpf-dev [!alpha !hppa !hurd-amd64 !hurd-i386 !m68k !mips64el !sh4],
+ libcap-dev [!alpha !hppa !hurd-amd64 !hurd-i386 !m68k !mips64el !sh4],
  libevent-dev,
- libfstrm-dev,
+ libfstrm-dev (>> 0.4.0~),
  libprotobuf-c-dev,
  libssl-dev,
  libsystemd-dev [linux-any],
+ libxdp-dev [!alpha !hppa !hurd-amd64 !hurd-i386 !m68k !mips64el !sh4],
+ llvm [!alpha !hppa !hurd-amd64 !hurd-i386 !m68k !mips64el !sh4],
  openssl,
  pkgconf,
  po-debconf,
  protobuf-c-compiler,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/dns-team/nsd
 Vcs-Git: https://salsa.debian.org/dns-team/nsd.git
 Homepage: https://www.nlnetlabs.nl/projects/nsd/about/
@@ -40,4 +45,9 @@
  It has been developed for operations in environments where speed,
  reliability, stability and security are of high importance.
  .
+ Support for XDP is only enabled on all architectures except for
+ alpha, hppa, hurd-amd64, hurd-i386, m68k, mips64el, and sh4, which
+ includes amd64, arm64, armel, armhf, i386, ppc64el, riscv64, and
+ s390x.
+ .
  This package provides the server and related configuration files.

=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,15 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 
+# For asm/types.h - duplicates "default" BPF_CFLAGS content from configure.ac
+export BPF_CFLAGS=-Wall -Wextra -Wconversion -Werror -I/usr/include/$(DEB_HOST_MULTIARCH)
+
 ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
   WITH_SYSTEMD = --enable-systemd
+endif
+
+ifeq (,$(filter $(DEB_HOST_ARCH),alpha hppa hurd-amd64 hurd-i386 m68k mips64el sh4))
+  ENABLE_XDP = --enable-xdp
 endif
 
 %:
@@ -21,6 +28,7 @@
 	       --with-nsd_conf_file=/etc/nsd/nsd.conf	\
 	       --with-pidfile=/run/nsd/nsd.pid		\
 	       --with-dbfile=/var/lib/nsd/nsd.db	\
+	       --with-dbdir=/var/lib/nsd		\
 	       --with-zonesdir=/etc/nsd			\
 	       --with-xfrdfile=/var/lib/nsd/xfrd.state	\
 	       --disable-largefile			\
@@ -33,9 +41,10 @@
 	       --enable-checking			\
 	       --enable-dnstap				\
 	       --enable-prometheus-metrics		\
+	       $(ENABLE_XDP)				\
+	       --with-sharedfilesdir=/usr/lib/bpf/nsd	\
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	rmdir $(CURDIR)/debian/nsd/run/nsd
 	rmdir $(CURDIR)/debian/nsd/run
 	rmdir $(CURDIR)/debian/nsd/tmp
@@ -46,6 +55,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/ChangeLog
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
Version: 5
Source: https://www.nlnetlabs.nl/downloads/nsd/
Uversion-Mangle: auto
Matching-Pattern: nsd-(.*)\.tar\.gz
Pgp-Sig-Url-Mangle: s%$%.asc%

## nsd 4.14.0

=== debian/changelog ===
nsd (4.14.0-1) unstable; urgency=medium

  * New upstream version 4.14.0
  * Drop upstreamed XDP link patch
  * Drop non-standard Salsa build archs

 -- Simon Josefsson <simon@josefsson.org>  Thu, 04 Dec 2025 21:49:14 +0100

nsd (4.13.0-6) unstable; urgency=medium

  [ Markus Schade ]
  * Remove configure flags enabled by default since 4.13.0

  [ Simon Josefsson ]
  * Drop Rules-Requires-Root: no.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 22 Oct 2025 13:03:20 +0200
